Skip to main content
GET
/
v1
/
workflows
/
reviews
/
{review_id}
from retab import Retab

client = Retab()

review = client.workflows.reviews.get("rev_D4J7WZBRV4H7C2SKQJ4NP6W2EY")

print(review.id, review.run_id, review.block_id)
if review.decision:
    print(review.decision.verdict, review.decision.version_id)
{
  "id": "rev_D4J7WZBRV4H7C2SKQJ4NP6W2EY",
  "workflow_id": "wf_1",
  "workflow_version_id": "wfv_1",
  "run_id": "run_abc123",
  "block_id": "block_extract",
  "step_id": "run_abc123_block_extract",
  "parent_step_id": null,
  "iteration_key": null,
  "block_type": "extract",
  "triggered_by": { "kind": "always" },
  "created_at": "2026-05-13T08:14:02.341Z",
  "decision": null
}
Get one full review by opaque review id.
from retab import Retab

client = Retab()

review = client.workflows.reviews.get("rev_D4J7WZBRV4H7C2SKQJ4NP6W2EY")

print(review.id, review.run_id, review.block_id)
if review.decision:
    print(review.decision.verdict, review.decision.version_id)
{
  "id": "rev_D4J7WZBRV4H7C2SKQJ4NP6W2EY",
  "workflow_id": "wf_1",
  "workflow_version_id": "wfv_1",
  "run_id": "run_abc123",
  "block_id": "block_extract",
  "step_id": "run_abc123_block_extract",
  "parent_step_id": null,
  "iteration_key": null,
  "block_type": "extract",
  "triggered_by": { "kind": "always" },
  "created_at": "2026-05-13T08:14:02.341Z",
  "decision": null
}

Authorizations

Api-Key
string
header
required

Path Parameters

review_id
string
required

Response

Successful Response

One review and its current decision.

id
string
required
workflow_id
string
required
workflow_version_id
string
required
run_id
string
required
block_id
string
required
step_id
string
required
block_type
enum<string>
required
Available options:
extract,
split,
classifier,
for_each
triggered_by
ReviewAlways · object
required

Gate every run.

created_at
string<date-time>
required

When the review was created.

parent_step_id
string | null
iteration_key
string | null
decision
Decision · object

The terminal decision recorded against one review version.